%global momorel 7
%global qtver 4.4.0
%global kdever 4.1.0
%global kdelibsrel 1m
%global kdebaserel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr
%global ftpdirver 4.1.0
%global sourcedir stable/%{ftpdirver}/src/extragear

Name:           kgrab
Version:        0.1.1
Release:        %{momorel}m%{?dist}
Summary:        A screen grabbing utility

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://extragear.kde.org
Source0:        ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}-kde%{kdever}.tar.bz2
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs-devel >= 4
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext

Requires: kdelibs >= 4
Requires: oxygen-icon-theme
Requires(post): xdg-utils
Requires(postun): xdg-utils

%description
kgrab is a screen grabbing utility for KDE.

%prep
%setup -q -n %{name}-%{version}-kde%{kdever}

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# validate desktop file
desktop-file-install --vendor ""                          \
        --dir %{buildroot}%{_datadir}/applications/kde4   \
        %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.DOC COPYING.LIB
%{_bindir}/kgrab
%{_datadir}/applications/kde4/kgrab.desktop
%{_datadir}/dbus-1/interfaces/org.kde.kgrab.xml
%{_kde4_iconsdir}/hicolor/*/apps/kgrab.*
%{_datadir}/apps/kgrab/kgrabui.rc


%changelog
* Sat Aug  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.1-7m)
- new source for KDE 4.1

* Fri Jul 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.1-6m)
- new source for KDE 4.1 RC 1

* Sun Jun  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.1-5m)
- source tarball was renamed for KDE 4.1 beta 1

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.1-4m)
- rebuild against qt-4.4.0-1m
- source tarball was renamed

* Tue Apr  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.1-3m)
- update source tar ball

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.1-2m)
- rebuild against gcc43

* Sat Feb 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.1-1m)
- import from Fedora devel

* Thu Feb 14 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-4
- remove reference to KDE 4 in summary and description

* Wed Feb 13 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-3
- added Requires: kdelibs4 >= 4
- added Requires: oxygen-icon-theme

* Wed Feb 13 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-2
- added requires xdg-utils, kde4-macros(api)

* Wed Feb 13 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-1
- initial version
